Mark Group Conversation As Read
curl --request POST \
--url https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--header 'onBehalfOf: <onbehalfof>' \
--data '
{
"messageId": 123
}
'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read"
payload = { "messageId": 123 }
headers = {
"onBehalfOf": "<onbehalfof>",
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
onBehalfOf: '<onbehalfof>',
apikey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({messageId: 123})
};
fetch('https://{appId}.api-{region}.cometchat.io/v3/groups/{guid}/conversation/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "All the messages in the group are marked as read for the requesting user."
}
}Conversations
Mark Group Conversation As Read
This API will mark the group conversation as read.
POST
/
groups
/
{guid}
/
conversation
/
read
Mark Group Conversation As Read
For the complete error reference, see Error Guide.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the receiver of the message
Path Parameters
GUID of the group whose conversation is being accessed.
Body
application/json
The id of the message upto which the conversation needs to be marked as read.
Response
200 - application/json
Marking Conversation as read
Was this page helpful?
⌘I